package de.gc.streams.einf;

import de.gc.model.Ort;
import de.gc.model.PlzList;
import de.gc.util.Util;

public class Lamda_01_einf_01 {

   public static void main(final String[] args) {
      final PlzList plzListe = new PlzList("/plz_orte.csv");

      // 1: einfache Ausgabe mit for-Schleife
      long start = Util.getStartTime();
      for (final Ort ort : plzListe) {
         System.out.println(ort);
      }
      final long time1 = Util.getTime(start);

      // 2: einfache Ausgabe mit forEach kurz
      start = Util.getStartTime();
      plzListe.forEach(System.out::println);
      final long time2 = Util.getTime(start);

      // 3: einfache Ausgabe mit forEach lang
      start = Util.getStartTime();
      plzListe.forEach(s -> System.out.println(s));
      final long time3 = Util.getTime(start);

      System.out.println("#######################");
      System.out.println("### for-Schleife - forEach kurz");
      Util.printDiff(time1, "erster", time2, "zweiter");
      System.out.println("### for-Schleife - forEach lang");
      Util.printDiff(time1, "erster", time3, "dritter");

   }
}
