package bsp.noten;

public class SchuelerNote implements Comparable<SchuelerNote> {

   String name;
   String vorname;
   int note;

   public SchuelerNote(final String name, final String vorname, final int note) {
      this.name = name;
      this.vorname = vorname;
      this.note = note;
   }

   @Override
   public int compareTo(final SchuelerNote o) {
      int rt = this.name.compareTo(o.name);
      if (rt == 0) {
         rt = this.vorname.compareTo(o.vorname);
      }
      return rt;
   }

   public String getName() {
      return name;
   }

   public int getNote() {
      return note;
   }

   public String getVorname() {
      return vorname;
   }

   public void setName(final String name) {
      this.name = name;
   }

   public void setNote(final int note) {
      this.note = note;
   }

   public void setVorname(final String vorname) {
      this.vorname = vorname;
   }

   @Override
   public String toString() {
      return String.format("SchuelerNote [name=%s, vorname=%s, note=%s]", name, vorname, note);
   }

}
