package de.gc.util;

public class Util {

   public static long getEndTime() {
      return System.currentTimeMillis();
   }

   public static long getStartTime() {
      return System.currentTimeMillis();
   }

   public static long getTime(final long startTime) {
      return getEndTime() - startTime;
   }

   public static long getTime(final long startTime, final long endTime) {
      return endTime - startTime;
   }

   public static void printDiff(final long time1, final String s1, final long time2, final String s2) {
      final long diff = time2 - time1;
      System.out.format("Dauer: %d ms %s war schneller%n", diff, diff < 0 ? s1 : s2);
   }

   public static void printTime(final long startTime) {
      printTime(startTime, getEndTime());
   }

   public static void printTime(final long startTime, final long endTime) {
      System.out.format("Dauer: %d ms%n", endTime - startTime);
   }
}
